Delete stack upon the completion of build 02/1802/1
authorFatih Degirmenci <fdegir@gmail.com>
Tue, 30 Jul 2019 12:08:34 +0000 (14:08 +0200)
committerFatih Degirmenci <fdegir@gmail.com>
Tue, 30 Jul 2019 12:08:34 +0000 (14:08 +0200)
Change-Id: Ie28e048c50222ab0556eac20b4a1e36c96663223

jjb/cloud-infra/cloud-infra-periodic-onap.yaml
jjb/cloud-infra/delete-stack.sh [new file with mode: 0644]
jjb/cloud-infra/onap-macros.yaml

index dd812fb24a1912ade4a427d1bd17e7e25329919e..7afaf1db05db61b499a958c1aa3a91f68a97e17f 100644 (file)
@@ -83,6 +83,8 @@
           test-type: onap-healthcheck
       - promote-onap:
           build-timeout: 5
           test-type: onap-healthcheck
       - promote-onap:
           build-timeout: 5
+      - delete-stack:
+          build-timeout: 5
 
     jobs:
       - '{deploy-scenario}-periodic-{distro}-{installer-type}-{type}-{onap-branch}'
 
     jobs:
       - '{deploy-scenario}-periodic-{distro}-{installer-type}-{type}-{onap-branch}'
               node-parameters: true
               kill-phase-on: NEVER
               abort-all-job: false
               node-parameters: true
               kill-phase-on: NEVER
               abort-all-job: false
+      - multijob:
+          name: Cleanup
+          condition: ALWAYS
+          projects:
+            - name: 'delete-stack-onap-periodic-{distro}-{installer-type}-{type}-{onap-branch}'
+              current-parameters: false
+              predefined-parameters: |
+                DISTRO=$DISTRO
+                DEPLOY_TYPE=$DEPLOY_TYPE
+                INSTALLER_TYPE=$INSTALLER_TYPE
+                DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+                ONAP_VERSION=$ONAP_VERSION
+                ONAP_FLAVOR=$ONAP_FLAVOR
+                ENGINE_VERSION=$ENGINE_VERSION
+                ENGINE_REFSPEC=$ENGINE_REFSPEC
+                DEPLOY_SCENARIO_VERSION=$DEPLOY_SCENARIO_VERSION
+                DEPLOY_SCENARIO_REFSPEC=$DEPLOY_SCENARIO_REFSPEC
+                XTESTING_REPO_URL=$XTESTING_REPO_URL
+                ENGINE_ANSIBLE_PARAMS=$ENGINE_ANSIBLE_PARAMS
+                CLEANUP=$CLEANUP
+              node-parameters: true
+              kill-phase-on: NEVER
+              abort-all-job: false
 
 - job-template:
     name: '{phase}-periodic-{distro}-{installer-type}-{type}-{onap-branch}'
 
 - job-template:
     name: '{phase}-periodic-{distro}-{installer-type}-{type}-{onap-branch}'
diff --git a/jjb/cloud-infra/delete-stack.sh b/jjb/cloud-infra/delete-stack.sh
new file mode 100644 (file)
index 0000000..912fdfc
--- /dev/null
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# ============LICENSE_START=======================================================
+#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+
+# stack name to delete
+export STACK_NAME=nordix-onap-custom
+
+cd $WORKSPACE
+sudo apt install -y python-virtualenv
+virtualenv $WORKSPACE/.venv
+set +u
+source $WORKSPACE/.venv/bin/activate
+set -u
+pip install openstacksdk python-openstackclient python-heatclient
+echo "Info: Deleting stack $STACK_NAME"
+echo "-------------------------------------------------------------------------"
+source $OPENRC_FILE
+openstack stack delete $STACK_NAME --wait --yes
+echo "-------------------------------------------------------------------------"
+echo "Info: Stack $STACK_NAME has been deleted!"
+
+# vim: set ts=2 sw=2 expandtab:
index 1703acc6885073545c62bd996ec0838203f7a329..d1e789444b47abd5b3a291bd7e26ae7e6920fe51 100644 (file)
       - shell:
           !include-raw: ./promote-onap.sh
 
       - shell:
           !include-raw: ./promote-onap.sh
 
+- builder:
+    name: 'delete-stack-macro'
+    builders:
+      - shell:
+          !include-raw: ./delete-stack.sh
+
 # vim: set ts=2 sw=2 expandtab:
 # vim: set ts=2 sw=2 expandtab: